The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> setegid - set the effective group ID

#### SYNOPSIS

> ``#include <unistd.h>
> int setegid(gid_t` gid`);
> ``

#### DESCRIPTION

> If gid is equal to the real group ID or the saved set-group-ID, or if the process has appropriate privileges, setegid() shall set the effective group ID of the calling process to gid; the real group ID, saved set-group-ID, and any supplementary group IDs shall remain unchanged.

> The setegid() function shall not affect the supplementary group list in any way.

#### RETURN VALUE

> Upon successful completion, 0 shall be returned; otherwise, -1 shall be returned and errno set to indicate the error.

#### ERRORS

> The setegid() function shall fail if:

> [EINVAL]
>   The value of the gid argument is invalid and is not supported by the implementation.
> [EPERM]
>   The process does not have appropriate privileges and gid does not match the real group ID or the saved set-group-ID.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> Refer to the RATIONALE section in setuid().

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> exec(), getegid(), geteuid(), getgid(), getuid(), seteuid(), setgid(), setregid(), setreuid(), setuid(), the Base Definitions volume of IEEE Std 1003.1-2001, <sys/types.h>, <unistd.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the IEEE P1003.1a draft standard.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]